package com.szpg.db.data;

public class PgDevice implements java.io.Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -1121566071243742342L;
	
	private Integer id; // ID
	private Integer active; // 
	private String assetbarcode; // 
	private String assetcode; //
	private String assetname; // 
	private String devcode; // 
	private String devtype; // 
	private String ip; // 
	private String isopen; //
	private String modbus; //
	private String mod; 
	private String partition;
	private String pipegallery;
	private String position;
	private String road;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getActive() {
		return active;
	}

	public void setActive(Integer active) {
		this.active = active;
	}

	public String getAssetbarcode() {
		return assetbarcode;
	}

	public void setAssetbarcode(String assetbarcode) {
		this.assetbarcode = assetbarcode;
	}

	public String getAssetcode() {
		return assetcode;
	}

	public void setAssetcode(String assetcode) {
		this.assetcode = assetcode;
	}

	public String getAssetname() {
		return assetname;
	}

	public void setAssetname(String assetname) {
		this.assetname = assetname;
	}

	public String getDevcode() {
		return devcode;
	}

	public void setDevcode(String devcode) {
		this.devcode = devcode;
	}

	public String getDevtype() {
		return devtype;
	}

	public void setDevtype(String devtype) {
		this.devtype = devtype;
	}

	public String getIp() {
		return ip;
	}

	public void setIp(String ip) {
		this.ip = ip;
	}

	public String getIsopen() {
		return isopen;
	}

	public void setIsopen(String isopen) {
		this.isopen = isopen;
	}

	public String getModbus() {
		return modbus;
	}

	public void setModbus(String modbus) {
		this.modbus = modbus;
	}

	public String getMod() {
		return mod;
	}

	public void setMod(String mod) {
		this.mod = mod;
	}

	public String getPartition() {
		return partition;
	}

	public void setPartition(String partition) {
		this.partition = partition;
	}

	public String getPipegallery() {
		return pipegallery;
	}

	public void setPipegallery(String pipegallery) {
		this.pipegallery = pipegallery;
	}

	public String getPosition() {
		return position;
	}

	public void setPosition(String position) {
		this.position = position;
	}

	public String getRoad() {
		return road;
	}

	public void setRoad(String road) {
		this.road = road;
	}

	@Override
	public String toString() {
		return "PgDevice [assetcode=" + assetcode + ", assetname=" + assetname + "]";
	}

}
